apt: DirectFileFdPrivate Class Reference

apt 3.3.3 commandline package manager

Public Member Functions | List of all members
DirectFileFdPrivate Class Reference
Inheritance diagram for DirectFileFdPrivate:

## Public Member Functions
bool | InternalOpen (int const, unsigned int const) override
ssize_t | InternalUnbufferedRead (void *const To, unsigned long long const Size) override
ssize_t | InternalWrite (void const *const From, unsigned long long const Size) override
bool | InternalSeek (unsigned long long const To) override
bool | InternalSkip (unsigned long long Over) override
bool | InternalTruncate (unsigned long long const To) override
unsigned long long | InternalTell () override
unsigned long long | InternalSize () override
bool | InternalClose (std::string const &) override
bool | InternalAlwaysAutoClose () const override
| DirectFileFdPrivate (FileFd *const filefd)
Public Member Functions inherited from FileFdPrivate
| FileFdPrivate (FileFd *const pfilefd)
virtual APT::Configuration::Compressor | get_compressor () const
virtual void | set_compressor (APT::Configuration::Compressor const &compressor)
virtual unsigned int | get_openmode () const
virtual void | set_openmode (unsigned int openmode)
virtual bool | get_is_pipe () const
virtual void | set_is_pipe (bool is_pipe)
virtual unsigned long long | get_seekpos () const
virtual void | set_seekpos (unsigned long long seekpos)
ssize_t | InternalRead (void *To, unsigned long long Size)
virtual bool | InternalReadError ()
virtual char * | InternalReadLine (char *To, unsigned long long Size)
virtual bool | InternalFlush ()
virtual bool | InternalWriteError ()
virtual bool | InternalStream () const

## Additional Inherited Members
Protected Attributes inherited from FileFdPrivate
FileFd *const | filefd
simple_buffer | buffer
int | compressed_fd
pid_t | compressor_pid
bool | is_pipe
APT::Configuration::Compressor | compressor
unsigned int | openmode
unsigned long long | seekpos

## Member Function Documentation

## ◆ InternalAlwaysAutoClose()

bool InternalAlwaysAutoClose | ( |  | ) | const
| inlinenodiscardoverridevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalClose()

bool InternalClose | ( | std::string const & |  | ) |
| inlineoverridevirtual

Implements FileFdPrivate.

## ◆ InternalOpen()

bool InternalOpen | ( | int const | ,
|  | unsigned int const | )
| inlineoverridevirtual

Implements FileFdPrivate.

## ◆ InternalSeek()

bool InternalSeek | ( | unsigned long long const | To | ) |
| inlineoverridevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalSize()

unsigned long long InternalSize | ( |  | ) |
| inlineoverridevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalSkip()

bool InternalSkip | ( | unsigned long long | Over | ) |
| inlineoverridevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalTell()

unsigned long long InternalTell | ( |  | ) |
| inlineoverridevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalTruncate()

bool InternalTruncate | ( | unsigned long long const | To | ) |
| inlineoverridevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalUnbufferedRead()

ssize_t InternalUnbufferedRead | ( | void *const | To,
|  | unsigned long long const | Size )
| inlineoverridevirtual

Implements FileFdPrivate.

## ◆ InternalWrite()

ssize_t InternalWrite | ( | void const *const | From,
|  | unsigned long long const | Size )
| inlineoverridevirtual

Implements FileFdPrivate.

The documentation for this class was generated from the following file:

- apt-pkg/contrib/fileutl.cc